# Change Log

All notable changes to this project will be documented in this file.
This project adheres to [Semantic Versioning](http://semver.org/).


## [0.3.1] - 2020-11-22

### Fixed

- Argument description of `assert_file_owner` and
  `assert_not_file_owner`
- `sudo` calls and hardcoded paths from tests in
  `assert_file_owner` and `assert_not_file_owner`


## [0.3.0] - 2018-10-28

### Added

- Added assert_files_equal assert_files_not_equal functions!
- Added 2 test scripts for assert_files_equal assert_files_not_equal


## [0.2.0] - 2016-12-07

### Added

- Handling temporary directories with `temp_make()` and `temp_del()`

### Fixed

- Function comments listing path transformation variables incorrectly


## 0.1.0 - 2016-03-22

### Added

- Testing file existence with `assert_file_exist` and
  `assert_file_not_exist`
- `npm` support


[0.2.0]: https://github.com/bats-core/bats-file/compare/v0.1.0...v0.2.0
